use serde::Deserialize;
use serde::Serialize;

/// This is the struct for the natter.toml config file that ends up in each site's root directory.
#[derive(Debug, Deserialize, Serialize, Default)]
pub(crate) struct RawConfig {
    pub(super) site_title: Option<String>,
    author: Option<String>,
    email: Option<String>,
    pub(super) use_relative_paths: Option<bool>,
    pub(super) web_root: Option<String>,
    pub(super) stream: Option<RawConfigStream>,
}

#[derive(Debug, Deserialize, Serialize, Default)]
pub(crate) struct RawConfigStream {
    pub(super) entries_per_page: Option<usize>,
}
