use serde::Serialize;

use super::render_context::RenderContext;
use crate::error::CustomError;
use crate::intermediate::ILatexFragment;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "latex_fragment")]
pub(crate) struct RenderLatexFragment {
    value: String,
    post_blank: organic::types::PostBlank,
}

render!(
    RenderLatexFragment,
    ILatexFragment,
    original,
    _render_context,
    {
        Ok(RenderLatexFragment {
            value: original.value.clone(),
            post_blank: original.post_blank,
        })
    }
);
