use serde::Serialize;

use super::macros::render;
use super::render_context::RenderContext;
use crate::error::CustomError;
use crate::intermediate::IPlainLink;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "plain_link")]
pub(crate) struct RenderPlainLink {
    raw_link: String,
    post_blank: organic::types::PostBlank,
}

render!(RenderPlainLink, IPlainLink, original, _render_context, {
    Ok(RenderPlainLink {
        raw_link: original.raw_link.clone(),
        post_blank: original.post_blank,
    })
});
