use serde::Serialize;

use super::render_context::RenderContext;
use crate::error::CustomError;
use crate::intermediate::IPlainText;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "plain_text")]
pub(crate) struct RenderPlainText {
    source: String,
    post_blank: organic::types::PostBlank,
}

render!(RenderPlainText, IPlainText, original, _render_context, {
    Ok(RenderPlainText {
        source: original.source.clone(),
        post_blank: original.post_blank,
    })
});
