use serde::Serialize;

use super::render_context::RenderContext;
use crate::error::CustomError;
use crate::intermediate::IQuoteBlock;

use super::macros::render;
use super::RenderElement;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "quote_block")]
pub(crate) struct RenderQuoteBlock {
    children: Vec<RenderElement>,
    post_blank: organic::types::PostBlank,
}

render!(RenderQuoteBlock, IQuoteBlock, original, render_context, {
    let children = {
        let mut ret = Vec::new();
        for obj in original.children.iter() {
            ret.push(RenderElement::new(render_context.clone(), obj)?);
        }
        ret
    };

    Ok(RenderQuoteBlock {
        children,
        post_blank: original.post_blank,
    })
});
