use serde::Serialize;

use super::render_context::RenderContext;
use crate::error::CustomError;
use crate::intermediate::ITableRow;

use super::macros::render;
use super::table_cell::RenderTableCell;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "table_row")]
pub(crate) struct RenderTableRow {
    children: Vec<RenderTableCell>,
}

render!(RenderTableRow, ITableRow, original, render_context, {
    let children = {
        let mut ret = Vec::new();
        for obj in original.children.iter() {
            ret.push(RenderTableCell::new(render_context.clone(), obj)?);
        }
        ret
    };

    Ok(RenderTableRow { children })
});
