use serde::Serialize;

use super::render_context::RenderContext;
use crate::error::CustomError;
use crate::intermediate::ITarget;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "target")]
pub(crate) struct RenderTarget {
    id: String,
    post_blank: organic::types::PostBlank,
}

render!(RenderTarget, ITarget, original, render_context, {
    let id = format!(
        "{}{}",
        render_context
            .id_addition
            .map(|id_addition| format!("sec{}.", id_addition))
            .unwrap_or_default(),
        original.id
    );
    Ok(RenderTarget {
        id,
        post_blank: original.post_blank,
    })
});
