use serde::Serialize;

use super::macros::render;
use super::render_context::RenderContext;
use crate::error::CustomError;
use crate::intermediate::ITimestamp;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "timestamp")]
pub(crate) struct RenderTimestamp {
    source: String,
    post_blank: organic::types::PostBlank,
}

render!(RenderTimestamp, ITimestamp, original, _render_context, {
    Ok(RenderTimestamp {
        source: original.source.clone(),
        post_blank: original.post_blank,
    })
});
