use serde::Serialize;

use super::render_context::RenderContext;
use crate::error::CustomError;
use crate::intermediate::IVerbatim;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "verbatim")]
pub(crate) struct RenderVerbatim {
    contents: String,
    post_blank: organic::types::PostBlank,
}

render!(RenderVerbatim, IVerbatim, original, _render_context, {
    Ok(RenderVerbatim {
        contents: original.contents.clone(),
        post_blank: original.post_blank,
    })
});
