use organic::types::StandardProperties;

use super::macros::intermediate;

use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct ICode {
    pub(crate) contents: String,
    pub(crate) post_blank: organic::types::PostBlank,
}

intermediate!(
    ICode,
    &'orig organic::types::Code<'parse>,
    original,
    _intermediate_context,
    {
        Ok(ICode {
            // TODO: Should this coalesce whitespace like PlainText?
            contents: original.contents.to_owned(),
            post_blank: original.get_post_blank(),
        })
    }
);
