use super::macros::intermediate;
use crate::error::CustomError;
use organic::types::StandardProperties;

#[derive(Debug, Clone)]
pub(crate) struct IEntity {
    pub(crate) html: String,
    pub(crate) post_blank: organic::types::PostBlank,
}

intermediate!(
    IEntity,
    &'orig organic::types::Entity<'parse>,
    original,
    _intermediate_context,
    {
        Ok(IEntity {
            html: original.html.to_owned(),
            post_blank: original.get_post_blank(),
        })
    }
);
