use super::macros::intermediate;
use crate::error::CustomError;
use organic::types::StandardProperties;

#[derive(Debug, Clone)]
pub(crate) struct IInlineSourceBlock {
    pub(crate) value: String,
    pub(crate) post_blank: organic::types::PostBlank,
}

intermediate!(
    IInlineSourceBlock,
    &'orig organic::types::InlineSourceBlock<'parse>,
    original,
    _intermediate_context,
    {
        Ok(IInlineSourceBlock {
            value: original.value.to_owned(),
            post_blank: original.get_post_blank(),
        })
    }
);
