use super::macros::intermediate;
use crate::error::CustomError;
use organic::types::StandardProperties;

#[derive(Debug, Clone)]
pub(crate) struct IPlainLink {
    pub(crate) raw_link: String,
    pub(crate) post_blank: organic::types::PostBlank,
}

intermediate!(
    IPlainLink,
    &'orig organic::types::PlainLink<'parse>,
    original,
    _intermediate_context,
    {
        Ok(IPlainLink {
            raw_link: original.raw_link.to_owned(),
            post_blank: original.get_post_blank(),
        })
    }
);
