use organic::types::StandardProperties;

use super::macros::intermediate;

use super::util::coalesce_whitespace;
use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct IPlainText {
    pub(crate) source: String,
    pub(crate) post_blank: organic::types::PostBlank,
}

intermediate!(
    IPlainText,
    &'orig organic::types::PlainText<'parse>,
    original,
    _intermediate_context,
    {
        Ok(IPlainText {
            source: coalesce_whitespace(original.source).into_owned(),
            post_blank: original.get_post_blank(),
        })
    }
);
