use organic::types::StandardProperties;

use super::macros::intermediate;
use super::IObject;

use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct IStrikeThrough {
    pub(crate) children: Vec<IObject>,
    pub(crate) post_blank: organic::types::PostBlank,
}

intermediate!(
    IStrikeThrough,
    &'orig organic::types::StrikeThrough<'parse>,
    original,
    intermediate_context,
    {
        let children = {
            let mut ret = Vec::new();
            for obj in original.children.iter() {
                ret.push(IObject::new(intermediate_context.clone(), obj).await?);
            }
            ret
        };

        Ok(IStrikeThrough {
            children,
            post_blank: original.get_post_blank(),
        })
    }
);
