use super::macros::intermediate;
use super::util::coalesce_whitespace;
use crate::error::CustomError;
use organic::types::StandardProperties;

#[derive(Debug, Clone)]
pub(crate) struct ITimestamp {
    pub(crate) source: String,
    pub(crate) post_blank: organic::types::PostBlank,
}

intermediate!(
    ITimestamp,
    &'orig organic::types::Timestamp<'parse>,
    original,
    _intermediate_context,
    {
        Ok(ITimestamp {
            source: coalesce_whitespace(original.source).into_owned(),
            post_blank: original.get_post_blank(),
        })
    }
);
