use organic::types::StandardProperties;

use super::macros::intermediate;

use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct IVerbatim {
    pub(crate) contents: String,
    pub(crate) post_blank: organic::types::PostBlank,
}

intermediate!(
    IVerbatim,
    &'orig organic::types::Verbatim<'parse>,
    original,
    _intermediate_context,
    {
        Ok(IVerbatim {
            // TODO: Should this coalesce whitespace like PlainText?
            contents: original.contents.to_owned(),
            post_blank: original.get_post_blank(),
        })
    }
);
